#%%global svnrev svn2173

Name:           tkabber
Version:        1.1.2
Release:        1%{?dist}
Summary:        Client for the Jabber instant messaging system

Group:          Applications/Internet
License:        GPLv2+
URL:            http://tkabber.jabber.ru/
Source:         %{name}-%{version}.tar.xz
# for relase version:
#Source0:        http://files.jabber.ru/tkabber/%{name}-%{version}.tar.gz
# script to get tkabber from svn
Source1:        tkabber-snapshot.sh
Source2:        tkabber.png
Source3:        tkabber.desktop
Source4:        tkabber
Source5:        tkabber-remote
Patch0:         tkabber-1.1.2-install.patch

BuildArch:      noarch

BuildRequires:  desktop-file-utils
Requires:       tcllib
Requires:       bwidget
Requires:       tcltls
Requires:       tkimg
Requires:       tdom
Requires:       tktray
Requires:       tcl-tclxml
Requires:       tcl-tkpng
Requires:       tcl-zlib


%description
Tkabber is a Free and Open Source client for the Jabber
instant messaging system. It's written in Tcl/Tk, and
works on many platforms. The choice of Tcl/Tk for a Jabber
client is three-fold:
* it is portable: once you install a Tcl/Tk interpreter on
  your system, the Tkabber script "just runs" — without having
  to compile anything;
* it is customizable: Tkabber reads a configuration file when
  it starts that tells it the settings of various parameters; and,
* it is extensible: the configuration file is actually a Tcl
  script, so you can replace or augment entire portions of Tkabber
  (if you're so inclined).

%prep
%setup -q
%patch0 -p1 -b .install


%build

# empty here

%install

make install-bin DESTDIR=%{buildroot}

desktop-file-install --dir=%{buildroot}/%{_datadir}/applications %{SOURCE3}

mkdir -p %{buildroot}%{_datadir}/pixmaps/
mkdir -p %{buildroot}%{_bindir}
cp %{SOURCE2} %{buildroot}%{_datadir}/pixmaps/
cp %{SOURCE4} %{SOURCE5} %{buildroot}%{_bindir}

chmod 755 %{buildroot}%{_bindir}/tkabber
chmod 755 %{buildroot}%{_bindir}/tkabber-remote


%files
%doc AUTHORS COPYING ChangeLog README doc/tkabber.html
%{_bindir}/tkabber
%{_bindir}/tkabber-remote
%{_datadir}/tkabber
%{_datadir}/applications/tkabber.desktop
%{_datadir}/pixmaps/tkabber.png

%changelog
* Wed Jul 01 2015 Dmitrij S. Kryzhevich <krege@land.ru> - 1.1.2-1
- Update to 1.1.2.

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.1-3.svn2173
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Apr 01 2015 Dmitrij S. Kryzhevich <krege@land.ru> - 1.1.1-2.svn2173
- Fix patch.

* Wed Apr 01 2015 Dmitrij S. Kryzhevich <krege@land.ru> - 1.1.1-1.svn2173
- Update to new 1.1.1+ svn, revisino 2173.

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-2.svn2150
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Apr 02 2014 Dmitrij S. Kryzhevich <krege@land.ru> 1.1-1.svn2150
- Update to 1.1+ svn, revision 2150.
- Clean spec.

* Tue Jan 28 2014 Dmitrij S. Kryzhevich <krege@land.ru> - 1.0-1.svn2114
- Update to 1.0+ svn, revision 2114.

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.11.1-7.svn1948
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.11.1-6.svn1948
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.11.1-5.svn1948
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.11.1-4.svn1948
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.11.1-3.svn1948
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Nov 05 2010 Dmitrij S. Kryzhevich <krege@land.ru> - 0.11.1-2.svn1948
- Fix License.
* Fri Nov 05 2010 Dmitrij S. Kryzhevich <krege@land.ru> - 0.11.1-1.svn1948
- First build.